Skip site navigation (1) Skip section navigation (2)

PostgreSQL 8.0.2 and 7.4.7 does not work anymore since cygwin 1.5.14

From: Roland Walter <rwa(at)mosaic-ag(dot)com>
To: pgsql-cygwin(at)postgresql(dot)org
Subject: PostgreSQL 8.0.2 and 7.4.7 does not work anymore since cygwin 1.5.14
Date: 2005-05-09 13:28:10
Message-ID: 427F656A.5020707@mosaic-ag.com (view raw or flat)
Thread:
Lists: pgsql-cygwin
Hello!

I used a self compiled PostgreSQL 8.0.2 under cygwin. Since
the update from cygwin 1.5.13 to 1.5.16 the postmaster
process always crashes with Signal 12, bad system call. Recompiling
did not change that.

With PostgreSQL 7.4.7 I lost the posibility to connect
to the database with psql and the other command line tools like
vacuumdb. A connection worked only for a few moments after a restart of 
the postmaster. The command line tools suggested, that the database was 
not running. But a connection with the JDBC-driver still worked.

I changed back to 1.5.13, but the crashes on PostgreSQL 8.0.2 are still 
there.
But for PostgreSQL 7.4.7 the command line tools got a connection again
without a restart of the postmaster.

Could anyone verify this behaviour or has further suggestions? I did
not find any information on the cygwin or postgresql 
mailinglist-archives yet.

A great problem on my side is, that i cannot send emails greater than 5 kb.

Regards,
Roland.
-- 
Roland Walter
MOSAIC SOFTWARE AG
Telefon: 02225/882-411 Fax: 02225/882-201
http://www.mosaic-ag.com


Responses

pgsql-cygwin by date

Next:From: Reini UrbanDate: 2005-05-11 18:12:01
Subject: Re: PostgreSQL 8.0.2 and 7.4.7 does not work anymore since
Previous:From: Reini UrbanDate: 2005-04-30 11:42:20
Subject: Re: error: Internal account lookup failure

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group